[
  {
    "metadataOutputVersion" : "3.0",
    "shortDescription" : "Best-Buddy GANs for Highly Detailed Image Super-Resolution. Converted by https:\/\/github.com\/john-rocky\/CoreML-Models",
    "outputSchema" : [
      {
        "height" : "2048",
        "colorspace" : "RGB",
        "isOptional" : "0",
        "width" : "2048",
        "isColor" : "1",
        "formattedType" : "Image (Color 2048 × 2048)",
        "hasSizeFlexibility" : "0",
        "type" : "Image",
        "shortDescription" : "output image",
        "name" : "activation_out"
      }
    ],
    "storagePrecision" : "Int8",
    "modelParameters" : [

    ],
    "author" : "https:\/\/github.com\/dvlab-research\/Simple-SR",
    "specificationVersion" : 4,
    "license" : "https:\/\/github.com\/dvlab-research\/Simple-SR\/blob\/master\/LICENSE",
    "computePrecision" : "Float16",
    "stateSchema" : [

    ],
    "isUpdatable" : "0",
    "availability" : {
      "macOS" : "10.15",
      "tvOS" : "13.0",
      "visionOS" : "1.0",
      "watchOS" : "6.0",
      "iOS" : "13.0",
      "macCatalyst" : "13.0"
    },
    "modelType" : {
      "name" : "MLModelType_neuralNetwork"
    },
    "inputSchema" : [
      {
        "height" : "512",
        "colorspace" : "RGB",
        "isOptional" : "0",
        "width" : "512",
        "isColor" : "1",
        "formattedType" : "Image (Color 512 × 512)",
        "hasSizeFlexibility" : "0",
        "type" : "Image",
        "shortDescription" : "input image",
        "name" : "x"
      }
    ],
    "userDefinedMetadata" : {
      "com.github.apple.coremltools.version" : "5.1.0",
      "com.github.apple.coremltools.source" : "torch==1.10.0+cu111"
    },
    "generatedClassName" : "Beby_GANx4fp8",
    "neuralNetworkLayerTypeHistogram" : {
      "Concat" : 276,
      "Multiply" : 23,
      "ActivationLeakyReLU" : 279,
      "ActivationLinear" : 1,
      "Add" : 93,
      "UpsampleINVALID" : 2,
      "Convolution" : 351,
      "Squeeze" : 1
    },
    "method" : "predict"
  }
]